/*
 * Copyright (c) 2002 - trem0r
 * This file is part of the PornView - photo collection manager.
 */

#include "pornview.h"

#include "browser.h"
#include "dock.h"
#include "prefs.h"

int
main (int argc, char *argv[])
{

#ifdef ENABLE_NLS
    bindtextdomain (PACKAGE, LOCALEDIR);

#ifdef USE_GTK2
    bind_textdomain_codeset (PACKAGE, "UTF-8");
#endif

    textdomain (PACKAGE);
    gtk_set_locale ();
#endif

    gtk_init (&argc, &argv);

    prefs_load_config ();

    browser_create ();

    dock_init ();
    gtk_main ();

    prefs_save_config ();

    return 0;
}
