/*
 * Copyright (c) 2002 - trem0r
 * This file is part of the PornView - photo collection manager.
 */

#ifndef __EXIF_VIEW_H__
#define __EXIF_VIEW_H__

#ifdef ENABLE_EXIF

typedef struct ExifView_Tag
{
    GtkWidget      *window;	/* if open in stand alone window, use this */
    GtkWidget      *container;	/* exif view */
    ExifData       *exif_data;
    JPEGData       *jpeg_data;
}
ExifView;


ExifView       *exif_view_create_window (const gchar * filename);
ExifView       *exif_view_create (const gchar * filename);

#endif /* ENABLE_EXIF */

#endif /* __EXIF_VIEW_H__ */
