/*
 * Copyright (c) 2002 - trem0r
 * This file is part of the PornView - photo collection manager.
 */

#ifndef __PIXBUF_UTILS_H__
#define __PIXBUF_UTILS_H__

gboolean        pixbuf_to_file_as_png (GdkPixbuf * pixbuf, gchar * filename);
void            pixbuf_render_pixmap_and_mask (GdkPixbuf * pixbuf,
					       GdkPixmap ** pixmap_return,
					       GdkBitmap ** mask_return,
					       GdkInterpType dither);
GtkWidget      *pixbuf_create_pixmap_from_xpm_data (const char **data);
GdkPixbuf      *pixbuf_copy_rotate_90 (GdkPixbuf * src,
				       gboolean counter_clockwise);
GdkPixbuf      *pixbuf_copy_mirror (GdkPixbuf * src, gboolean mirror,
				    gboolean flip);

#endif /* __PIXBUF_UTILS_H__ */
