/*
 * Copyright (c) 2002 - trem0r
 * This file is part of the PornView - photo collection manager.
 */

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include <string.h>
#include <glib.h>

#include "string_utils.h"
#include "intl.h"

gchar  *
menu_translate (const gchar * path, gpointer data)
{
    return _(path);
}

gchar  *
remove_trailing_slash (const gchar * path)
{
    gchar  *ret;
    gint    l;
    if (!path)
	return NULL;

    ret = g_strdup (path);
    l = strlen (ret);
    if (l > 1 && ret[l - 1] == '/')
	ret[l - 1] = '\0';

    return ret;
}
